@charset "utf-8";
@import url("https://fonts.googleapis.com/css?family=Open+Sans&display=swap");
@import url("https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css");
@import url("https://getbootstrap.com/docs/5.3/assets/css/docs.css");
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css");
@import url("icoMoon.css");
@import url("icoMoon.css");
@font-face {
  font-family: 'Marck Script';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/marckscript/v20/nwpTtK2oNgBA3Or78gapdwuCzw.ttf) format('truetype');
}
@font-face {
  font-family: 'Parisienne';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/parisienne/v13/E21i_d3kivvAkxhLEVZpcy8.ttf) format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 100;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOkCnqEu92Fr1MmgWxP.ttf) format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Me5Q.ttf) format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOlCnqEu92Fr1MmWUlvAw.ttf) format('truetype');
}
/* RESET */
/** {
    font-family: 'Roboto', sans-serif;
    font-style: normal;
}*/
*,
ul,
li {
  list-style-type: none;
  margin: 0;
  padding: 0;
  outline-style: none;
  outline: none;
  box-sizing: border-box;
  white-space: wrap;
}
*::before,
*::after,
* {
  box-sizing: border-box;
}
html,
body {
  width: 100%;
  height: 100%;
  padding: 0px;
  margin: 0px;
}
body {
  font-family: 'Open Sans', sans-serif;
  display: flex;
  flex-direction: column;
  background-color: #FFFFFF;
}
/* Fim reset */
/* ESTRUTURA CORPO PÁGINAS */
/*largura padrão da páginas*/
.largura-padrao {
  width: 800px;
  margin: 0 auto;
}
@media screen and (max-width: 900px) {
  .largura-padrao {
    width: 100%;
  }
}
header.header {
  background-color: #FFFFFF;
  position: fixed;
  width: 100%;
  top: 0;
  transition: top 0.3s;
  z-index: 9;
}
.cabecalho-principal {
  background-color: #FFFFFF;
}
.cabecalho-principal .cabecalho {
  padding: 4px;
}
nav.nav {
  background-color: #0D6EFD;
}
nav.nav .menu {
  height: 40px;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-content: stretch;
  align-items: stretch;
}
nav.nav .menu a {
  color: #FFFFFF;
  text-decoration: none;
  padding: 0 10px;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-content: stretch;
  align-items: center;
}
nav.nav .menu a:hover {
  background-color: #0155D1;
}
nav.nav .icon {
  margin: 0 4px;
}
nav.nav .menu-esquerdo-direito {
  padding: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
}
nav.nav .titulo-modulo {
  height: 30px;
  color: #FFFFFF;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
  border: 1px solid #014BB7;
  border-radius: 50px;
  padding: 0 0px 2px 10px;
  margin: 5px 6px 0 10px;
  background-color: #0046AF;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-content: stretch;
  align-items: center;
}
nav.nav .titulo-modulo a {
  color: #FFFFFF;
  font-size: 16px;
  text-transform: capitalize;
  text-decoration: none;
  font-weight: normal;
}
nav.nav .titulo-modulo a:hover {
  background-color: transparent;
  text-decoration: underline;
}
/* Fim menu navegação */
main.main {
  /*margin-top: 96px;*/
  /* Garante espaço para o cabeçalho fixo */
  background-color: #11141B;
  display: flex;
  flex-direction: column;
  flex: 1;
}
main.main .conteudo-principal {
  /*margin-top: 4px;
        margin-bottom: 10px;*/
  margin: 4px auto 10px auto;
  padding: 6px;
  background-color: #FFFFFF;
}
main.main .titulo-pagina {
  color: #FFFFFF;
  font-weight: 600;
  padding-left: 8px;
  height: 38px;
  background-color: #003986;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: center;
}
footer.footer {
  background-color: #08090C;
  font-weight: normal;
}
footer.footer .rodape-agencia {
  color: #FFFFFF;
  padding: 6px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.form {
  margin: 0 auto;
  background-color: #FFFFFF;
}
.form-group {
  margin-top: 12px !important;
}
.form-label-float {
  position: relative;
  line-height: 0.5;
}
.form-label-float .form-control {
  font-size: 18px;
  border: 1px solid #C5C5CC;
}
.form-label-float label {
  color: #A8B2C6;
  font-size: 16px;
  padding: 0 4px 4px 4px;
  background-color: #FFFFFF;
  line-height: 1;
  left: 10px;
}
.form-label-float .label-float {
  position: absolute;
  padding: 0 4px;
  top: 4px;
  transform: translateY(50%);
  z-index: 1;
  transition: 0.3s;
  pointer-events: none;
}
.form-label-float:focus-within .label-float,
.form-label-float .label-float.label-active {
  color: #0D6EFD;
  font-size: 14px;
  top: -16px;
  background-color: #FFFFFF;
}
.form-label-float .label-input-noempty::before {
  content: "\2713";
  color: #31BA01;
  font-weight: 900;
  margin-right: 2px;
}
.form-label-float .label-input-noempty {
  color: #0D6EFD;
  font-size: 14px;
  top: -16px;
}
.form-label-float .label-input-required::before {
  content: "*";
  color: #FF0000;
  font-size: 14px;
  font-weight: 900;
  margin-right: 2px;
  top: 8px;
  padding: 0;
}
/* Informa que campos marcados por *, são de preenchimento obrigatório */
.info-campos-required {
  color: #FF5B5B;
  font-size: 13px;
  font-style: italic;
  margin-left: 10px;
}
.info-campos-required::before {
  content: "*";
  color: #FF0000;
  font-size: 18px;
  font-weight: 900;
  margin-right: 2px;
}
.form-text-help {
  color: #999AA6;
  font-size: 13px;
  padding: 4px;
  position: absolute;
}
.<strong>form-control</strong>[type="file"]::file-selector-button {
  display: none;
}
.form-control[type="file"] {
  color: transparent;
}
.form-titulo {
  color: #FFFFFF;
  font-size: 18px;
  font-weight: 600;
  padding: 8px;
  margin: 2px auto !important;
  background-color: #002f59;
}
@media print {
  .form-titulo {
    color: #000000;
  }
}
.form-subtitulos {
  color: #000000;
  font-size: 14px;
  text-transform: uppercase;
  font-family: 'Roboto', sans-serif;
  font-weight: 600;
  padding: 0;
  margin-bottom: 4px;
  border-bottom: 1px solid #C6CCDA;
}
.btn-grupo {
  display: flex;
  flex-direction: row;
  margin: 12px 0;
}
.flex-center {
  justify-content: center;
}
.flex-end {
  justify-content: flex-end;
}
.flex-between {
  justify-content: space-between;
}
.btn-grupo > *:not(:first-child) {
  margin-left: 12px;
}
.bi.bi-share-fill {
  font-size: 18px;
  margin-right: 6px;
}
.alert-aviso-crud,
.alert-aviso-js {
  font-size: 14px;
  text-align: center !important;
  min-width: 400px;
  position: fixed;
  top: -8px;
  left: 50%;
  transform: translateX(-50%);
  margin-top: 20px;
  z-index: 10;
  padding: 6px;
  box-shadow: 0px 0px 5px 2px rgba(94, 102, 133, 0.2);
  display: flex !important;
  justify-content: center;
  align-items: center;
}
.alert-primary {
  color: #FFFFFF !important;
  background-color: #0d6efd !important;
  border: 1px solid #0d6efd !important;
}
.alert-danger {
  /*color: #52040C !important;
    background-color: #fceaec !important;*/
  color: #FFFFFF !important;
  background-color: #ff0000 !important;
  border: 1px solid #ff0000 !important;
}
.alert-warning {
  /*color: #3D2E01 !important;
    background-color: #FFF5D7 !important;*/
  color: #000000 !important;
  background-color: #fed55c !important;
  border: 1px solid #fed55c !important;
}
.tr-selecionada-excluir-arquivo > td {
  color: #FFFFFF;
  background-color: #FF0000;
}
.alert-sem-registro {
  padding: 4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#table-lista-registros {
  margin: auto;
  width: 100%;
  border-collapse: collapse;
  background-color: #FFFFFF;
  /*tbody tr {
        position: relative;
    }*/
}
#table-lista-registros th,
#table-lista-registros td {
  padding: 6px 4px;
  border-bottom: 1px solid #C6CCDA;
  position: relative;
}
#table-lista-registros thead th {
  font-size: 14px;
  font-weight: 600;
  text-align: left !important;
  border-top: 1px solid transparent;
  border-bottom: 2px solid #C6CCDA;
  padding: 8px 4px;
}
#table-lista-registros thead th:hover {
  border-top: 1px solid #D2D7FE;
  background: linear-gradient(to top, #FFFFFF 0%, #f2f2f2 100%);
}
#table-lista-registros thead th.grifa-th {
  border-top: 1px solid #0D6EFD;
  background: linear-gradient(to top, #FFFFFF 0%, #f2f2f2 100%);
  /*&::after {
                content: '\F571';
                font-size: 18px;
                font-family: bootstrap-icons !important;
                float: right;
            }*/
}
#table-lista-registros tbody tr:hover td,
#table-lista-registros .toolbar {
  background-color: #DBDFE8;
}
#table-lista-registros tbody tr:nth-child(even) {
  background-color: #f2f2f2;
}
#table-lista-registros tbody tr td {
  position: relative;
}
#table-lista-registros tbody tr td:last-child {
  min-width: 100px;
  padding-left: 3px;
}
#table-lista-registros .sorting-col {
  user-select: none;
  cursor: pointer;
}
#table-lista-registros .sorting-arrows {
  color: #C6CCDA;
  font-size: 12px;
  height: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: stretch;
  line-height: 9px;
  float: left;
  margin-right: 6px;
}
#table-lista-registros .sorting-arrows::before {
  content: "\25B2";
  /* Código Unicode para o símbolo ▲ */
}
#table-lista-registros .sorting-arrows::after {
  content: "\25BC";
  /* Código Unicode para o símbolo ▼ */
}
#table-lista-registros .sorting-order-asc .sorting-arrows::before {
  color: #0D6EFD;
}
#table-lista-registros .sorting-order-desc .sorting-arrows::after {
  color: #0D6EFD;
}
#table-lista-registros tr td:nth-child(1) {
  width: 80px;
  text-align: center;
}
#table-lista-registros tr td:nth-child(2) {
  width: auto;
}
#table-lista-registros thead th {
  border-top: 1px solid #C6CCDA !important;
}
.barra-paginacao-pai {
  margin-bottom: 6px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.barra-paginacao-pai > :nth-child( n + 1 ) {
  margin-left: 10px;
}
.barra-paginacao-pai .grupo-input-btn .form-control,
.barra-paginacao-pai .grupo-input-btn .btn {
  border-radius: 0;
  border: none;
  box-shadow: none !important;
  outline: none !important;
  padding: 4px;
}
.barra-paginacao-pai .grupo-input-btn {
  border: 1px solid #c6ccda;
  border-radius: 4px;
  display: flex;
  overflow: hidden;
}
.barra-paginacao-pai .grupo-input-btn .btn {
  color: #3D4860;
  width: 40px;
  user-select: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
.barra-paginacao-pai .grupo-input-btn .btn-clean {
  font-size: 12px;
  display: none;
}
.barra-paginacao-pai .grupo-input-btn .btn-clean:hover {
  background-color: #E4E6ED;
  cursor: pointer;
}
.barra-paginacao-pai .grupo-input-btn .btn-search {
  cursor: default;
}
.main-listar-registro-pai .alert {
  text-align: center !important;
  margin: 0 auto;
  padding: 8px;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#toolbar-container {
  position: absolute;
  margin: auto 4px auto 0;
  background-color: #FFFFFF;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  z-index: 1;
}
#toolbar-container .toolbar {
  padding-left: 4px;
  display: flex;
  flex-direction: row;
}
#toolbar-container .toolbar .link-icon ~ .link-icon {
  margin-left: 10px;
}
#toolbar-container .icon {
  color: #FFFFFF;
  padding: 4px;
  border-radius: 3px;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
#toolbar-container a.link-icon {
  text-decoration: none;
  padding: 0;
  margin: 0;
}
#toolbar-container .btn-ico-detalhes {
  background-color: #007bff;
}
#toolbar-container .btn-ico-editar {
  background-color: #28a745;
}
#toolbar-container .btn-ico-excluir {
  background-color: #FF0000;
}
#toolbar-container .grupo-paginacao {
  width: 1000px;
}
#toolbar-container .lista-paginacao {
  width: 100%;
}
/* PAGINAÇÃO DE REGISTROS */
#paginacao-principal {
  color: #0D6EFD;
  border: 1px solid #C6CCDA;
  border-radius: 4px;
  width: max-content;
  position: relative;
  z-index: 1;
  user-select: none;
  display: flex;
  background-color: #FFFFFF;
}
#paginacao-principal > :nth-child( n + 2 ) {
  border-left: 1px solid #C6CCDA;
}
#paginacao-principal .paginacao-conteudo {
  position: relative;
}
#paginacao-principal .paginacao-btn {
  font-weight: 600;
}
#paginacao-principal .paginacao-btn.disabled,
#paginacao-principal .paginacao-btn-info.disabled {
  color: #B7BED2;
}
#paginacao-principal .paginacao-btn,
#paginacao-principal .paginacao-btn-info {
  min-width: 34px;
  height: 32px;
  padding: 0 6px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#paginacao-principal .paginacao-btn > *,
#paginacao-principal .paginacao-btn-info > * {
  margin-left: 6px;
}
#paginacao-principal .paginacao-btn:not(.disabled):hover,
#paginacao-principal .paginacao-btn-info:not(.disabled):hover {
  color: #FFFFFF;
  background-color: #0D6EFD;
  cursor: pointer;
}
#paginacao-principal .paginacao-grupo-itens {
  width: 100%;
  max-height: 256px;
  border: 1px solid #C5CCD3;
  background-color: #FFFFFF;
  box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.3);
  position: absolute;
  visibility: hidden;
  overflow: auto;
}
#paginacao-principal .paginacao-item {
  text-align: right;
  padding: 2px 46px 2px 0;
}
#paginacao-principal .paginacao-item:not(.active):hover {
  background-color: #e0e0e0;
  cursor: pointer;
}
#paginacao-principal .paginacao-item.active {
  color: #FFFFFF;
  background-color: #007bff;
}
/* REGISTROS POR PÁGINA */
#reg-por-pag-pai {
  color: #333333;
  border-radius: 4px;
  width: max-content;
  position: relative;
  z-index: 2;
  user-select: none;
  display: flex;
  flex-direction: column;
}
#reg-por-pag-pai .disabled {
  color: #B7BED2;
  opacity: 0.5;
}
#reg-por-pag-pai .reg-pag-btn {
  color: #333333;
  height: 34px;
  padding: 0px 4px 6px 4px;
  border: 1px solid #adadad;
  border-radius: 3px;
  background-color: #F0F0F0;
  margin-left: auto;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: stretch;
  align-items: center;
  /*.disabled > * {
            color: #B7BED2;
        }*/
}
#reg-por-pag-pai .reg-pag-btn:not(.disabled):hover {
  cursor: pointer;
  background-color: #E0E0E0;
}
#reg-por-pag-pai .reg-pag-btn .bi-gear-fill {
  font-size: 18px;
}
#reg-por-pag-pai .reg-pag-btn .bi-caret-down-fill {
  font-size: 14px;
}
#reg-por-pag-pai .reg-pag-conteudo {
  border: 1px solid #bbbbbb;
  border-radius: 3px;
  box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.3);
  background-color: #FFFFFF;
  padding: 14px;
  width: max-content;
  visibility: hidden;
  position: absolute;
  top: 90%;
  display: flex;
  flex-direction: column;
  right: 0;
}
#reg-por-pag-pai .reg-pag-legenda {
  color: #546a82;
  font-size: 11px;
  font-weight: 600;
  text-transform: uppercase;
  margin-bottom: 4px;
  display: flex;
  flex-wrap: nowrap;
}
#reg-por-pag-pai .reg-pag-grupo-itens {
  display: flex;
  border: 1px solid #bbbbbb;
  border-radius: 3px;
  background-color: #EFF0F4;
}
#reg-por-pag-pai .reg-pag-grupo-itens > :nth-child( n + 2 ) {
  border-left: 1px solid #bbbbbb;
}
#reg-por-pag-pai .reg-pag-grupo-itens .reg-pag-item {
  font-size: 14px !important;
  height: 26px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
}
#reg-por-pag-pai .reg-pag-grupo-itens .reg-pag-item:not(.active):hover {
  background-color: #e0e0e0;
  cursor: pointer;
}
#reg-por-pag-pai .reg-pag-grupo-itens .reg-pag-item.active {
  color: #FFFFFF;
  background-color: #0D6EFD;
}
.janela-modal-principal {
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 100;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  overflow: hidden;
}
.janela-modal-principal .modal-box {
  width: 448px;
  height: 246px;
  border: 1px solid #000000;
  border-radius: 4px;
  padding: 6px;
  margin: auto;
  background-color: #FFFFFF;
  display: flex;
  flex-direction: column;
  animation: slideIn 0.5s ease;
  /* Adiciona a animação de deslizamento */
}
.janela-modal-principal .modal-box > * {
  padding: 10px;
}
.janela-modal-principal .modal-box .modal-header .modal-titulo {
  font-size: 18px;
  font-weight: 600;
}
.janela-modal-principal .modal-box .modal-header .modal-btn-fechar {
  font-size: 20px;
  color: #A0A1AC;
  cursor: pointer;
}
.janela-modal-principal .modal-box .modal-header :hover {
  color: #394359;
}
.janela-modal-principal .modal-box .modal-body {
  border-top: 1px solid #ccd2de;
  border-bottom: 1px solid #ccd2de;
  text-align: center;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: stretch;
  align-items: center;
  flex: 1;
}
.janela-modal-principal .modal-box .reg-par-exclusao {
  color: #FF0000;
  font-weight: 600;
}
.janela-modal-principal .modal-box .modal-footer > * {
  margin-left: 14px;
}
@keyframes slideIn {
  from {
    transform: translateY(-200%);
    /* Começa 100% acima do topo */
  }
  to {
    transform: translateY(0);
    /* Termina na posição original */
  }
}
